Page MenuHomePhabricator

Enable performance metrics logging
Closed, ResolvedPublic

Description

Performance metrics logging is not enabled in Parsoid/PHP. There are a couple @todos in the code. This needs to be completed for Parsoid/PHP deployment to the production cluster and for RESTBase traffic mirroring to be deployed.

Details

Related Gerrit Patches:
mediawiki/services/parsoid : masterPort and hookup metrics code (Parsoid/PHP)

Event Timeline

ssastry triaged this task as High priority.Oct 18 2019, 5:03 PM
ssastry created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2019, 5:03 PM
ssastry moved this task from Backlog to Deployment on the Parsoid-PHP board.Oct 18 2019, 5:24 PM
ssastry assigned this task to cscott.Oct 21 2019, 3:27 PM

Change 545026 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] Port and hookup metrics code (Parsoid/PHP)

https://gerrit.wikimedia.org/r/545026

Change 545026 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Port and hookup metrics code (Parsoid/PHP)

https://gerrit.wikimedia.org/r/545026

ssastry closed this task as Resolved.Oct 24 2019, 6:03 PM

After merge and udpating scandium, I can see metrics showing up on grafana.